pub mod commands;
pub mod descriptor;
pub mod labelling;
pub mod remote;
pub mod tree;

pub fn get_hostname() -> String {
    hostname::get()
        .expect("No hostname")
        .into_string()
        .expect("Hostname string must be sensible.")
}
