import shutil
import subprocess
from pathlib import Path


def set_up_simple_yama(path: Path):
    path.mkdir(exist_ok=True)
    subprocess.check_call(("yama", "init"), cwd=path)
    example_zstd_path = Path(__file__).parent.parent.parent.joinpath(
        "example_zstd.dict"
    )
    shutil.copyfile(example_zstd_path, path.joinpath("important_zstd.dict"))
